> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getopenrails.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent capabilities

> Returns the compact machine-readable map agents should use before integrating Open Rails.



## OpenAPI

````yaml /api-reference/openapi.json get /api/agent/capabilities
openapi: 3.1.0
info:
  title: Open Rails API
  version: 0.1.0
  description: >-
    Hosted checkout, provider routing, runtime schemas, and normalized webhook
    examples for Open Rails merchants and agents.
servers:
  - url: https://dash.getopenrails.com
    description: Production dashboard and API origin
security: []
tags:
  - name: Gateway
  - name: Agent
  - name: Routing
  - name: Webhooks
paths:
  /api/agent/capabilities:
    get:
      tags:
        - Agent
      summary: Get agent capabilities
      description: >-
        Returns the compact machine-readable map agents should use before
        integrating Open Rails.
      operationId: getAgentCapabilities
      responses:
        '200':
          description: Capability map
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCapabilities'
components:
  schemas:
    AgentCapabilities:
      type: object
      required:
        - product
        - summary
        - entrypoints
        - webhooks
        - schemas
        - actions
        - routes
      properties:
        product:
          type: string
          enum:
            - Open Rails
        summary:
          type: string
        entrypoints:
          type: array
          items:
            type: object
        webhooks:
          type: object
        schemas:
          type: object
        actions:
          type: array
          items:
            type: object
        routes:
          type: array
          items:
            type: object

````